import { IActionFM, IColumnFileManger } from '../../interfaces';
import { IFileManager } from '../../interfaces/IFileManager';
interface IProps {
    theme?: 'dark' | 'light';
    titlePage?: string;
    customColumns?: IColumnFileManger[];
    toolbarShowActionRight?: boolean;
    dataFilemanger?: IFileManager[];
    currentPath: string;
    loading?: boolean;
    dateFormat?: string;
    breadcrumb?: IFileManager[];
    actionToolbar?: IActionFM[];
    showCheckbox?: boolean;
    fixedHeader?: boolean;
    itemHeight?: number;
    height?: number | string;
    singleModeSelect?: boolean;
    hideDefaultHeader?: boolean;
    contextMenuOptions?: IActionFM[];
    textBread?: string;
    toolbarClick?: (item: IActionFM) => void;
    updateSelected: (item: IFileManager[]) => void;
    updateSelectedOne: (item: IFileManager) => void;
    customThumbnailIcon?: (item: IFileManager) => void;
    updateSelectedItems?: (item: IFileManager[]) => void;
    contextMenuClick?: (item: IActionFM) => void;
    onClickRow?: (item: IFileManager) => void;
    doubleClickRow?: (item: IFileManager) => void;
    clickContextMenu?: (item: IActionFM) => void;
    onClickBreadcrumb?: ({ data, refresh }: {
        data?: IFileManager;
        refresh?: boolean;
    }) => void;
}
declare function __VLS_template(): {
    attrs: Partial<{}>;
    slots: Partial<Record<`item.${string}`, (_: {
        item: {
            key: string;
            title: string;
            visible: boolean;
            width: string;
        } | IColumnFileManger;
        value: string;
        key: string;
    }) => any>> & {
        'fm-breadcrumbs'?(_: {}): any;
        'toolbar-bottom'?(_: {
            data: ({
                name: string;
                path: string;
                key: string;
                status: string;
                isDirectory: boolean;
                size: number;
                lastModified: string;
                type: string;
                mime_type: string;
                tags: never[];
                owner: string;
                meta_uuid: string;
                share: never[];
                permission: string;
                share_id?: undefined;
                share_type?: undefined;
                etag?: undefined;
            } | {
                name: string;
                path: string;
                key: string;
                status: string;
                isDirectory: boolean;
                size: number;
                lastModified: string;
                type: string;
                mime_type: string;
                tags: never[];
                owner: string;
                meta_uuid: string;
                share: {
                    account: string;
                    permissions: string;
                    status: string;
                    session_request: null;
                }[];
                share_id: string;
                share_type: string;
                permission: string;
                etag?: undefined;
            } | {
                name: string;
                path: string;
                key: string;
                status: string;
                isDirectory: boolean;
                size: number;
                etag: string;
                lastModified: string;
                type: string;
                mime_type: string;
                tags: {
                    _id: string;
                    name: string;
                    rgb: string;
                }[];
                owner: string;
                meta_uuid: string;
                share: never[];
                permission: string;
                share_id?: undefined;
                share_type?: undefined;
            } | {
                name: string;
                path: string;
                key: string;
                status: string;
                isDirectory: boolean;
                size: number;
                etag: string;
                lastModified: string;
                type: string;
                mime_type: string;
                tags: never[];
                owner: string;
                meta_uuid: string;
                share: never[];
                share_id: string;
                share_type: string;
                permission: string;
            })[] | IFileManager[];
        }): any;
        'no-data'?(_: {}): any;
    };
    refs: {};
    rootEl: any;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<IProps, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    refresh: (...args: any[]) => void;
    scroll: (...args: any[]) => void;
}, string, import('vue').PublicProps, Readonly<IProps> & Readonly<{
    onRefresh?: ((...args: any[]) => any) | undefined;
    onScroll?: ((...args: any[]) => any) | undefined;
}>, {
    loading: boolean;
    theme: "dark" | "light";
    height: number | string;
    toolbarShowActionRight: boolean;
    dateFormat: string;
    showCheckbox: boolean;
    fixedHeader: boolean;
    itemHeight: number;
    singleModeSelect: boolean;
    hideDefaultHeader: boolean;
    textBread: string;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
