import { IFileManager } from '../../../interfaces/IFileManager';
interface IEmitFunctions {
    load: () => void;
    doubleClick: (file: IFileManager) => void;
    [key: string]: (...args: any[]) => void;
}
export declare const useGridItem: (listData: ComputedRef<IFileManager[]>, emits: IEmitFunctions) => {
    gridRef: globalThis.Ref<HTMLElement | null, HTMLElement | null>;
    offsetWidth: globalThis.Ref<number, number>;
    offsetHeight: globalThis.Ref<string, string>;
    CARD_WIDTH: globalThis.ComputedRef<304 | 150>;
    isLongPress: globalThis.Ref<boolean, boolean>;
    multiSelectMode: globalThis.Ref<boolean, boolean>;
    groupedListData: globalThis.ComputedRef<IFileManager[][]>;
    selectedItems: globalThis.WritableComputedRef<any, IFileManager[]>;
    objectSelectedOne: globalThis.WritableComputedRef<any, IFileManager>;
    listItemDelete: globalThis.ComputedRef<any>;
    isHomePage: globalThis.ComputedRef<boolean>;
    handleTouchStart: (file: IFileManager) => void;
    getFileIndex: (file: IFileManager) => number;
    handleSelectAll: () => void;
    rightClickHandler: (event: any, file: IFileManager) => void;
    keydownHandler: (event: KeyboardEvent) => void;
    handleTouchEnd: (file: IFileManager) => void;
    toggleItem: (event: MouseEvent | TouchEvent, file: IFileManager) => void;
    handleDBClick: (event: MouseEvent | TouchEvent, file: IFileManager) => void;
    updateOffsetWidth: () => void;
    setupGridItem: () => void;
    cleanupGridItem: () => void;
    handleLoadMoreItem: () => void;
    startSelection: (event: MouseEvent, file: IFileManager) => void;
    updateSelection: (event: MouseEvent, file: IFileManager) => void;
    stopSelection: () => void;
    createHandleScroll: (event: any) => void;
    getThumbnailIcon: any;
};
export {};
