import { IFileManager } from '../../../interfaces/IFileManager';
import { ComputedRef } from 'vue';
interface IEmitFunctions {
    loadMoreItem: () => void;
    doubleClick: (file: IFileManager) => void;
    clickRow: (file: IFileManager) => void;
    toglleContextMenu: (e: MouseEvent, bool: boolean) => void;
}
interface IProps {
    updateSelected: (data: IFileManager[]) => void;
    updateSelectedOne: (data: IFileManager) => void;
}
export declare const useTableFilemanager: (dataTable: ComputedRef<IFileManager[]>, emits: IEmitFunctions, props: IProps) => {
    selectedItems: globalThis.Ref<{
        [x: string]: any;
        key: string;
        name: string;
        path: string;
        size: number;
        isDirectory: boolean;
        mime_type: string;
    }[], IFileManager[] | {
        [x: string]: any;
        key: string;
        name: string;
        path: string;
        size: number;
        isDirectory: boolean;
        mime_type: string;
    }[]>;
    objectSelectedOne: globalThis.Ref<{
        [x: string]: any;
        key: string;
        name: string;
        path: string;
        size: number;
        isDirectory: boolean;
        mime_type: string;
    }, IFileManager | {
        [x: string]: any;
        key: string;
        name: string;
        path: string;
        size: number;
        isDirectory: boolean;
        mime_type: string;
    }>;
    previousScrollTop: globalThis.Ref<number, number>;
    isLoading: globalThis.Ref<boolean, boolean>;
    endIndex: globalThis.Ref<number | null, number | null>;
    startIndex: globalThis.Ref<number | null, number | null>;
    isSelecting: globalThis.Ref<boolean, boolean>;
    lastSelectedItem: globalThis.Ref<{
        [x: string]: any;
        key: string;
        name: string;
        path: string;
        size: number;
        isDirectory: boolean;
        mime_type: string;
    } | null, IFileManager | {
        [x: string]: any;
        key: string;
        name: string;
        path: string;
        size: number;
        isDirectory: boolean;
        mime_type: string;
    } | null>;
    touchStartTimer: globalThis.Ref<number, number>;
    touchStartPosition: globalThis.Ref<{
        x: number;
        y: number;
    }, {
        x: number;
        y: number;
    } | {
        x: number;
        y: number;
    }>;
    lastTapTime: globalThis.Ref<number, number>;
    hoveredRowIndex: globalThis.Ref<number | null, number | null>;
    wrapperRef: globalThis.Ref<HTMLElement | null, HTMLElement | null>;
    DOUBLE_TAP_DELAY: number;
    SCROLL_THRESHOLD: number;
    DEBOUNCE_DELAY: number;
    isMobile: ComputedRef<boolean>;
    heightTable: ComputedRef<string>;
    selectAllItems: () => IFileManager[];
    getFileIndex: (file: IFileManager) => number;
    isItemSelected: (file: IFileManager) => boolean;
    isItemSelectedOne: (file: IFileManager) => boolean;
    rightClickHandler: (event: MouseEvent, file: IFileManager) => void;
    handleShiftClick: (file: IFileManager, lastSelectedItem: IFileManager) => never[] | globalThis.Ref<{
        [x: string]: any;
        key: string;
        name: string;
        path: string;
        size: number;
        isDirectory: boolean;
        mime_type: string;
    }[], IFileManager[] | {
        [x: string]: any;
        key: string;
        name: string;
        path: string;
        size: number;
        isDirectory: boolean;
        mime_type: string;
    }[]>;
    handleCtrlClick: (file: IFileManager) => void;
    handleScroll: (event: Event) => void;
    handleCheckboxClick: (event: Event, file: IFileManager) => void;
    keydownHandler: (event: KeyboardEvent) => Promise<IFileManager[] | globalThis.Ref<{
        [x: string]: any;
        key: string;
        name: string;
        path: string;
        size: number;
        isDirectory: boolean;
        mime_type: string;
    }[], IFileManager[] | {
        [x: string]: any;
        key: string;
        name: string;
        path: string;
        size: number;
        isDirectory: boolean;
        mime_type: string;
    }[]>>;
    startSelection: (event: MouseEvent, file: IFileManager) => void;
    updateSelection: (event: MouseEvent, file: IFileManager) => void;
    stopSelection: () => void;
    touchStartHandler: (event: TouchEvent) => void;
    touchEndHandler: (event: TouchEvent, item: IFileManager) => void;
    rowDoubleClickHandler: (event: MouseEvent | TouchEvent, file: IFileManager) => void;
    rowClickHandler: (event: MouseEvent | TouchEvent, file: IFileManager) => void;
    mouseEnterHandler: (index: number) => void;
    mouseLeaveHandler: () => void;
    handleClearSelected: () => void;
};
export {};
